Bug 969854 - numpy fails to build for aarch64 bootstrap
numpy fails to build for aarch64 bootstrap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 14:26 EDT by Mark Salter
Modified: 2013-06-07 00:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: numpy-1.7.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 00:32:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-06-02 14:26:37 EDT
Description of problem:
The numpy specfile has a '%check' in the changelog which causes a problem with aarch64 bootstrap where we redefine %check to avoid running package tests on a simulator. The following tweak avoids the problem:

diff --git a/numpy.spec b/numpy.spec
index 8951ed5..02deb59 100644
--- a/numpy.spec
+++ b/numpy.spec
@@ -342,7 +342,7 @@ rm -rf %{buildroot}
 - actually add the patch this time
 
 * Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1:1.4.1-5
-- fix segfault within %check on 2.7 (patch 2)
+- fix segfault within %%check on 2.7 (patch 2)
 
 * Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1:1.4.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-06-02 15:53:49 EDT
numpy-1.7.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/numpy-1.7.1-2.fc19
Comment 2 Fedora Update System 2013-06-03 10:42:03 EDT
Package numpy-1.7.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing numpy-1.7.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9911/numpy-1.7.1-2.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-07 00:32:09 EDT
numpy-1.7.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.